@echo off

SETLOCAL EnableDelayedExpansion
PUSHD %~dp0

REM ------------------------------------------------------------------------ [ Script Define ]

	SET PID=Lineage2
	SET CID=UpdateDMgr
	SET GID=AutoExecuteL2LogD

	SET ROOTDIR=%CD%

	IF NOT exist %ROOTDIR%\Log mkdir %ROOTDIR%\Log

	SET DATE2=%DATE:-=%
	SET TIME2=%TIME: =0%
	SET TIME3=%TIME2:~0,2%%TIME2:~3,2%%TIME2:~6,2%
	SET TIME4=%TIME:~0,8%

	SET LOG_FILE=%ROOTDIR%\Log\%CID%_%GID%_%DATE2%_%TIME3%.log



set ImageName=UpdateDMan.exe
set Exe_Path=D:\LogD\UpdateDMan.exe


CALL :LOG_HEADER



FOR /F %%x IN ('tasklist /NH /FI "IMAGENAME eq %ImageName%"') DO (
	IF %%x == %ImageName% (
		goto ProcessFound
	) ELSE (
		goto ProcessNotFound
	)
)

:ProcessFound
echo.				>> %LOG_FILE%
echo %ImageName% is running
echo %ImageName% is running	>> %LOG_FILE%

goto END


:ProcessNotFound
echo.				>> %LOG_FILE%
echo	start %Exe_Path%	>> %LOG_FILE%
	start %Exe_Path%

goto END


:END
echo.	>> %LOG_FILE%
echo Finished.
echo Finished.	>> %LOG_FILE%


echo This Window will be shutdown in 10 sec ...
echo.
echo.
timeout 10

ECHO @ Script is closing... [ %TIME% ]	>> %LOG_FILE%

EXIT



:LOG_HEADER
	echo.	>> %LOG_FILE%
	echo.	>> %LOG_FILE%
	ECHO @ The %PID% %CID% %GID% Script.   [ %DATE% / %TIME4% ]	> %LOG_FILE%
	ECHO.	>> %LOG_FILE%
	ECHO.	>> %LOG_FILE%

	GOTO :EOF